MiniMax M3 Preview
MiniMax-M3 preview is a 1.4T-parameter frontier model from MiniMax for coding, agentic workflows, and complex reasoning, served at fp8 with a 512K context window.
Input / output
$0.30 / $1.20
per 1M tokens
Context
512K
128K max output
Reasoning
On
fixed effort
Cached input
$0.06
80% off input
Modalities
Text, image, video
out: text
Pricing
USD per 1M tokensInput
$0.30
Cached input
$0.06
Output incl. reasoning
$1.20
| Similar models | Input | Output |
|---|---|---|
| MiniMax M3 Preview | $0.30 | $1.20 |
| DeepSeek V4.1 Flash | $0.30 | $1.20 |
| DeepSeek v4.1 Flash (1017) | $0.30 | $1.20 |
| GPT-5.6 Luna | $0.20 | $1.20 |
| GPT-5.6 Luna Pro | $0.20 | $1.20 |
Prompt caching is automatic; see Prompt caching.
Specs
- Model ID
minimax-m3-preview- Endpoint
POST /api/v1/chat/completions- Context window
- 524,288 tokens
- Max output
- 131,072 tokens
- Reasoning effort
- On at a fixed effort; send
to turn it off where the model allows · guide"reasoning": {"enabled": false } - Served precision
- FP8
- Added
- Jun 12, 2026
- Weights
- Open
Capabilities
Modalities
- Text
- Input and output
- Image
- Input only · up to 10
- Audio
- Not supported
- Video
- Input only
Features
- Streaming (SSE)
- Supported
- Function calling
- Supported
- Structured output (json_schema)
- Not supported
- Reasoning effort
- Not adjustable
- Prompt caching
- Supported
- Web search
- venice_parameters
- X search
- Not supported
- Log probabilities
- Not supported
- Fine-tuning
- Not supported
- Image generation
- Not supported
POST
/api/v1/chat/completionsRecommendedcurl https://api.venice.ai/api/v1/chat/completions \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "minimax-m3-preview",
"messages": [{ "role": "user", "content": "Explain TEE attestation in two sentences." }]
}'Privacy
Tier 1
Anonymized
Included
Tier 2 · this model
Private
Zero data retention, enforced by contract. Prompts and outputs aren’t stored.
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available